Bug 172191 - CVE-1999-1572 cpio insecure file creation
CVE-1999-1572 cpio insecure file creation
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: cpio (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Vrabec
Brock Organ
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-11-01 08:54 EST by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-806
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-10 13:59:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-11-01 08:54:55 EST
+++ This bug was initially created as a clone of Bug #145720 +++

This is a very old issue.  This message was posted to vendor-sec.

GNU cpio -oO appears to generate files with 0666 regardless of
the user's umask.  This is true for both cpio 2.5 (RH, SuSE) and
and the (surprisingly 3x) larger cpio 2.6, but I haven't had the
chance to dig into the code yet or sync with the developers yet.
(If anyone else can gets to it before me, by all means...)  cpio
has a  need to toggle between a "0" umask and the original umask
depending on what it is doing, and gets it wrong in this case.

It's a long-known public issue in general -- earliest I can find
a record of it goes back to 1996, when the BSD folks fixed it:


and fixes against older GNU cpio were posted to gnu.utils.bugs
by The Written Word folks:


but it never seems to have gotten into newer GNU cpio versions.
Comment 1 Red Hat Bugzilla 2005-11-10 13:59:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.